/* Nav Styles */

/* ///////////////////// */

/* -------------- */
/* DESKTOP */
/* TABLET */
/* MOBILE */
/* MINI-MOBILE */
/* -------------- */

/* DESKTOP //////////////////////////////////////////////////////////////// */
/*
01. Navigation
*/

/*
-----------------------------------------------------------------------------

01. Navigation

-----------------------------------------------------------------------------
*/

/***** Display */

.nav--global {
  display: block;
  width: 100%;
}

/***** Nav-Wrap */

.nav-logo.nav-logo--mobile {
  display: none;
}

.site-nav {
  width: 100%;
}

.nav--global .trigger {
  cursor: pointer;
}

.home .nav--global .trigger {
  color: var(--color__light) !important;
}

.nav--global .nav-wrap {
  width: 100%;
  height: 8em;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  background: transparent;
  overflow: visible;
  transition: 0.6s all cubic-bezier(0.77, 0, 0.18, 1);
}

.nav--global .nav-wrap__inner {
  max-width: 100%;
  margin: auto;
  height: 100%;
  width: 100vw;
  padding: 1.5em 2em;
  transition: 0.6s all cubic-bezier(0.77, 0, 0.18, 1);
}

/***** scrolled nav state */

.nav--global.scrolled-nav .nav-wrap {
  height: 5em;
}


.nav--global.scrolled-nav .nav-wrap__inner {
  padding: 0.5em 2em;
}

.nav--global.scrolled-nav ul.nav-list {
  margin: 0;
}

/* .nav--global.scrolled-nav .nav-wrap .trigger,
.nav--global.scrolled-nav .nav-wrap .trigger:hover {
  color: var(--color__secondary) !important;
} */

/***** Nav-Styling */

.site-nav.active .navbar-logo * {
  color: var(--color__light) !important;
  transition: all 0s !important;
}

.site-nav.active .navbar-logo.button {
  background: var(--color__primary) !important;
  border: var(--border__regular) !important;
  transition: all 0s !important;
}

.nav--global .nav-wrap svg.logo {
  height: 6em;
  width: auto;
  transition: 0.6s all cubic-bezier(0.77, 0, 0.18, 1);
}

.mode--primary .nav--global .nav-wrap .trigger,
.mode--primary .nav--global .nav-wrap .trigger:hover {
  color: var(--color__primary);
}

.mode--secondary .nav--global .nav-wrap .trigger,
.mode--secondary .nav--global .nav-wrap .trigger:hover {
  color: var(--color__secondary);
}

.mode--light .nav--global .nav-wrap .trigger,
.mode--light .nav--global .nav-wrap .trigger:hover {
  color: var(--color__light);
}

.nav--global .nav-wrap svg.logo path {
  fill: var(--color__secondary);
}

.mode--primary .nav--global .nav-wrap svg.logo path {
  fill: var(--color__primary);
}

.mode--secondary .nav--global .nav-wrap svg.logo path {
  fill: var(--color__secondary);
}

.mode--light .nav--global .nav-wrap svg.logo path {
  fill: var(--color__light);
}

/***** Navbar */

.nav--global .navbar-logo {
  z-index: 1;
}

.nav--global ul {
  padding-left: 0;
  margin: 0;
  list-style-type: none;
}

.nav--global ul.nav-list {
  position: fixed;
  z-index: 1;
  right: 1.5em;
  top: 1.5em;
  padding: 0;
  margin: 1.2em 0 0 0;
  overflow: hidden;
  transition: 0.6s all cubic-bezier(0.77, 0, 0.18, 1);
}

.site-nav.active .nav--global ul.nav-list {
  transform: rotate(-45deg);
}

.nav--global ul.nav-list li {
  width: 1.5em;
  height: 1.5em;
  padding: .15em;
  font-size: var(--fsize__h3);
  display: inline-block;
  text-transform: uppercase;
}

.site-nav.active ul.nav-list li {
  color: var(--color__light) !important;
  transition: all 0s !important;
}

.site-nav.active ul.nav-list li {
  background: var(--color__primary) !important;
  border: var(--border__regular) !important;
  transition: all 0s !important;
}

/***** Nav-Flyout */

.nav-flyout {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
}

.nav-flyout .nav-flyout__inner {
  max-width: 100%;
  margin: auto;
}

.nav-flyout .nav-flyout__inner .item {
  opacity: 0;
}

.nav-flyout .nav-flyout__inner .item .reveal-wrap {
  position: relative;
  overflow: hidden;
  line-height: 1.2em;
  margin-top: -1em;
  padding: 0.5em 6em;
}

.nav-flyout .nav-flyout__inner .item a {
  font-size: min(var(--fsize__h1), 15vh);
}

.nav-flyout .nav-flyout__inner .item a {
  color: var(--color__secondary);
  position: relative;
  transition: all .3s ease-out;
}

.nav-flyout .nav-flyout__inner .item a:hover {
  color: var(--color__accent);
}


.nav-flyout .nav-logo {
  position: absolute;
  top: 2em;
  left: 2em;
  height: 6em;
  width: 4em;
}

.nav-flyout .nav-logo svg {
  height: 7em !important;
}

.nav-flyout svg.logo path {
  fill: var(--color__secondary) !important;
}

.nav-flyout .nav-closer {
  position: absolute;
  top: 3em;
  right: 3em;
  height: 3em;
  width: 3em;
  background: var(--color__secondary);
  transition: all .3s ease-out;
}

.nav-flyout .nav-closer * {
  color: var(--color__primaryDark);
  font-size: 1.5rem;
}

.nav-flyout .nav-closer:hover {
  background: var(--color__accent);
}

/***** Breadcrumb */

.breadcrumb .current-page {
  color: var(--color__error);
}

/* MINI-DESKTOP //////////////////////////////////////////////////////////////// */
/*
01. Navigation
*/

@media only screen and (max-width: 80em) {}

/* TABLET //////////////////////////////////////////////////////////////// */
/*
01. Navigation
*/

@media only screen and (max-width: 55em) {
  /*
  -----------------------------------------------------------------------------

  01. Navigation

  -----------------------------------------------------------------------------
  */

  .nav--global .nav-wrap {
    top: unset;
    bottom: 0;
  }

  .nav--global ul.nav-list {
    right: 1.5em;
    top: unset;
    bottom: 1.5em;
  }

  .nav--global ul.nav-list li {
    width: 2em;
    height: 2em;
    padding: .4em;
  }

  .nav--global.scrolled-nav .nav-wrap__inner {
    padding: 1.5em 2em;
  }

  .nav-flyout .nav-flyout__inner .item a {
    font-size: min(var(--fsize__h1), 8vw);
  }

}

/* MOBILE //////////////////////////////////////////////////////////////// */
/*
01. Navigation
*/

@media only screen and (max-width: 36em) {
  /*
  -----------------------------------------------------------------------------

  01. Navigation

  -----------------------------------------------------------------------------
  */


  /***** Nav-Wrap Trigger */
}

/* MINI-MOBILE //////////////////////////////////////////////////////////////// */
/*
01. Navigation
*/

@media only screen and (max-width: 27em) {
  /*
  -----------------------------------------------------------------------------

  01. Navigation

  -----------------------------------------------------------------------------
  */


}